--- old/usr/src/cmd/sgs/elfdump/common/struct_layout_sparc.c	Mon Oct 15 13:25:09 2018
+++ new/usr/src/cmd/sgs/elfdump/common/struct_layout_sparc.c	Mon Oct 15 13:25:09 2018
@@ -25,7 +25,9 @@
  */
 /*
  * Copyright 2012 DEY Storage Systems, Inc.  All rights reserved.
+ * Copyright 2018 Joyent, Inc.
  */
+
 #include <struct_layout.h>
 
 
@@ -386,8 +388,15 @@
 };
 
 
+static const sl_prlwpname_layout_t prlwpname_layout = {
+	{ 0,	40,	0,	0 },		/* sizeof (prlwpname_t) */
+	{ 0,	8,	0,	0 },		/* pr_lwpid */
+	{ 8,	1,	32,	0 },		/* pr_lwpname[] */
+};
 
 
+
+
 static const sl_arch_layout_t layout_sparc = {
 	&auxv_layout,
 	&fltset_layout,
@@ -410,6 +419,7 @@
 	&utsname_layout,
 	&prfdinfo_layout,
 	&prsecflags_layout,
+	&prlwpname_layout,
 };
 
 
